!set title=Rango de una matriz 3x4 con 1 parámetro
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,c,r
varcnt=20
prevarcnt=19
postvarcnt=0
replycnt=3
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randitem 1,2

val6=$[rint($(tmp0))]
val7=$[rint(3)]
val8=$[rint(4)]
val9=$[rint(7)]
val10=t
val11=$[rint(1)]
tmp0=!randint -20, 20

val12=$[rint($(tmp0))]
tmp0=!shuffle $val7

val13=$(tmp0)
tmp0=!shuffle $val8

val14=$(tmp0)
val15=((RANDOM($val9)+1)*(RANDOM(2)*2-1))
tmp0=!randitem 0,1


!ifval $(tmp0)=1
val16=m=mattranspose(m);
!endif
t_=!replace internal \( by ( in a1=matrix($val7,$val6,x,y,$val15);	 a2=matrix($val6,$val8,x,y,$val15);	 if($val6>1,	  for(i=1,$val6-1,for(j=1,$val6-i,a1[i,j]=0;a2[i,j]=0))	 );	 m=a1*a2; m[$val6+1,$val6+1]+=(RANDOM(2)*2-1)*($val10-($val12));	 m=vecextract(m,[$val13],[$val14]);	 $val16 print(m)	
tmp0=!exec pari $t_

val17=$(tmp0)
tmp0=!randitem 1,2

val18=$[rint($(tmp0))]
tmp0=!item $val18 of mínimo,máximo

val19=$(tmp0)
val20=igual a, distinto de
tmp0=!item $val18 of $val20

val21=$(tmp0)
val22=$[rint(0)]
val23=$[rint($val6)]
val24=$[rint($val6+1)]
replytype1=numeric
replyname1=Minimum rank
replygood1=$[$val23]
replytype2=numeric
replyname2=Maximum rank
replygood2=$[$val24]
replytype3=numeric
replyname3=Value of $val10
replygood3=$[$val12]
choicename1=$val10 is
choicegood1=$val21
choicebad1=$val20
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Considerar la siguiente matriz parametrizada:	<p><center>	 
!insmath  A = [$val17] 
$()	</center> <p>	<b>Paso 1</b>:	Según el valor del parámetro 
!insmath $val10
$(), el rango de $m_A es al menos	 
!read oef/embed.phtml reply 1,3 
$() y a lo sumo  
!read oef/embed.phtml reply 2,3 
$().	<p>	<b>Paso 2</b>:	El $val19 rango se alcanza cuando 
!insmath $val10
$() es  
!read oef/embed.phtml choice 1 
$()	 
!read oef/embed.phtml reply 3,4 
$().	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=10,17,19
embedcnt=4
